From 6151e7e8011b97fd42c6cc01fefb0dbf97719f26 Mon Sep 17 00:00:00 2001
From: manisha <manisha_kanyal.scsebtech@galgotiasuniversity.edu.in>
Date: Jun 09 2021 11:42:04 +0000
Subject: [PATCH 9/9] wizard stepper implementation


---

diff --git a/src/wizard/FedoraEasyKarma.js b/src/wizard/FedoraEasyKarma.js
index 41a05a1..830cce5 100644
--- a/src/wizard/FedoraEasyKarma.js
+++ b/src/wizard/FedoraEasyKarma.js
@@ -1,5 +1,5 @@
 import React, { Component } from "react"
-import { CollapsableBadge, CollapsableCard, ModalBadge } from "./components"
+import { CollapsableBadge, ModalBadge } from "./components"
 
 export default class FedoraEasyKarmaItemsList extends Component {
   render() {
@@ -7,131 +7,130 @@ export default class FedoraEasyKarmaItemsList extends Component {
     else
       return (
         <div>
-          <CollapsableBadge expand_text="Karma">
-            ModalBadge Before a new version of a package is pushed to the Fedora&apos;s Updates
-            repository, it needs to be tested and proved functional.{" "}
-            <ModalBadge expand_text="Tell me more about the process!">
-              The updates are kept in{" "}
-              <a target="_blank" rel="noopener noreferrer" href="https://bodhi.fedoraproject.org/">
-                Bodhi
-              </a>
-              , which acts as a gatekeeper between new package releases and the stable
-              repositories. Users (or automated systems) can then provide feedback in form of
-              positive/negative Karma, marking the update as working (or not) within the scope of
-              their expectations. An update can (and usually does) consist of several packages
-              (rpms), that are going through the acceptance process together.
-            </ModalBadge>
-            <h1 style={{ marginTop: 1 + "em" }}>Sure, let me do it!</h1>
-            <ol className="steps">
-              <li>
-                Fedora Accounts System (FAS) account is required.{" "}
-                <ModalBadge expand_text="Don&#39;t have one yet?">
-                  <ul>
+          <h1>What is Karma</h1>
+          Before a new version of a package is pushed to the Fedora&apos;s Updates repository, it
+          needs to be tested and proved functional.{" "}
+          <CollapsableBadge expand_text="Tell me more about the process!">
+            The updates are kept in{" "}
+            <a target="_blank" rel="noopener noreferrer" href="https://bodhi.fedoraproject.org/">
+              Bodhi
+            </a>
+            , which acts as a gatekeeper between new package releases and the stable repositories.{" "}
+            Users (or automated systems) can then provide feedback in form of positive/negative
+            Karma, marking the update as working (or not) within the scope of their expectations.{" "}
+            An update can (and usually does) consist of several packages (rpms), that are going
+            through the acceptance process together.
+          </CollapsableBadge>
+          <h1 style={{ marginTop: 1 + "em" }}>Sure, let me do it!</h1>
+          <ol className="steps">
+            <li>
+              Fedora Accounts System (FAS) account is required.{" "}
+              <CollapsableBadge expand_text="Don&#39;t have one yet?">
+                <ul>
+                  <li>
+                    Visit{" "}
+                    <a
+                      target="_blank"
+                      rel="noopener noreferrer"
+                      href="https://admin.fedoraproject.org/accounts/user/new">
+                      FAS Sign-up page
+                    </a>{" "}
+                    and create it.
+                  </li>
+                  <li>Note the username and password, you will need it later on.</li>
+                </ul>
+              </CollapsableBadge>
+            </li>
+            <li>
+              Make sure your system is up-to-date: <code>sudo dnf update --refresh</code>
+            </li>
+            <li>
+              Install fedora-easy-karma tool: <code>sudo dnf install fedora-easy-karma</code>
+            </li>
+            <li>
+              Choose an update to test{" "}
+              <CollapsableBadge expand_text="Not sure how?">
+                Have a look at the available packages in <code>updates-testing</code> repo, by
+                running <code>dnf --enablerepo=updates-testing list --refresh --upgrades</code> and
+                choose a package you know.
+              </CollapsableBadge>
+            </li>
+            <li>
+              Install the package{" "}
+              <code>sudo dnf --enablerepo=updates-testing update PACKAGE_NAME</code>, and test
+              whether it works, as you would expect.
+              <br />
+              <strong>Note:</strong> Other packages from <code>updates-testing</code> repo may be
+              installed as dependencies (shown during the installation process). Try to test those
+              too, if possible.{" "}
+              <CollapsableBadge expand_text="Need some tips?">
+                Sometimes, the update associated with the package you just installed fixes some
+                specific bugs, or has testcases associated with it.
+                <br />
+                Run <code>fedora-easy-karma --fas-username=FAS_USERNAME</code>, and look for{" "}
+                <code>Bugs</code>, <code>Test Cases</code>, and/or <code>Notes</code> sections in
+                the detailed output.{" "}
+                <ModalBadge expand_text="Want something a bit nicer?">
+                  We already mentioned Bodhi, several times. Instead of using the{" "}
+                  <code>fedora-easy-karma</code> interface for submitting Karma and/or learning
+                  about the Update, you can visit Bodhi directly.
+                  <br />
+                  <code>fedora-easy-karma</code> shows the URL of the relevant update near the
+                  bottom of the text output - look for URL like{" "}
+                  <code>https://bodhi.fedoraproject.org/updates/FEDORA-2019-00870e8bfc</code>.
+                  <br />
+                  You can have a look at other people's comments, the afore-mentioned Bugs or Test
+                  Cases, and even submit the Karma directly. Just use your FAS credentials to
+                  log-in.
+                </ModalBadge>
+              </CollapsableBadge>
+            </li>
+            <li>
+              Run <code>fedora-easy-karma --fas-username=FAS_USERNAME</code> and report what you
+              found out.{" "}
+              <CollapsableBadge expand_text="New to fedora-easy-karma?">
+                It identifies the packages installed from the <code>updates-testing</code>{" "}
+                repository, and matches them to the updates in Bodhi.
+                <br />
+                You are then presented with the relevant updates one-by-one, to submit Karma and a
+                comment.{" "}
+                <ModalBadge expand_text="Not sure what Karma means?">
+                  <ol>
                     <li>
-                      Visit{" "}
+                      Enter <code>1</code> to mark positive karma (the update works just fine, as
+                      far as you can tell), or <code>-1</code> to mark the package as broken.{" "}
+                      <br />
+                      Not sure you can judge the package's state? Have a look at the{" "}
                       <a
                         target="_blank"
-                        rel="noopener noreferrer"
-                        href="https://admin.fedoraproject.org/accounts/user/new">
-                        FAS Sign-up page
-                      </a>{" "}
-                      and create it.
+                        href="https://fedoraproject.org/wiki/QA:Update_feedback_guidelines"
+                        rel="noopener noreferrer">
+                        Update Feedback Guidelines
+                      </a>
+                      <br />
+                      Still not sure? Just press <code>Enter</code> to skip it.
                     </li>
-                    <li>Note the username and password, you will need it later on.</li>
-                  </ul>
-                </ModalBadge>
-              </li>
-              <li>
-                Make sure your system is up-to-date: <code>sudo dnf update --refresh</code>
-              </li>
-              <li>
-                Install fedora-easy-karma tool: <code>sudo dnf install fedora-easy-karma</code>
-              </li>
-              <li>
-                Choose an update to test{" "}
-                <ModalBadge expand_text="Not sure how?">
-                  Have a look at the available packages in <code>updates-testing</code> repo, by
-                  running <code>dnf --enablerepo=updates-testing list --refresh --upgrades</code>{" "}
-                  and choose a package you know.
-                </ModalBadge>
-              </li>
-              <li>
-                Install the package{" "}
-                <code>sudo dnf --enablerepo=updates-testing update PACKAGE_NAME</code>, and test
-                whether it works, as you would expect.
-                <br />
-                <strong>Note:</strong> Other packages from <code>updates-testing</code> repo may be
-                installed as dependencies (shown during the installation process). Try to test
-                those too, if possible.{" "}
-                <ModalBadge expand_text="Need some tips?">
-                  Sometimes, the update associated with the package you just installed fixes some
-                  specific bugs, or has testcases associated with it.
-                  <br />
-                  Run <code>fedora-easy-karma --fas-username=FAS_USERNAME</code>, and look for{" "}
-                  <code>Bugs</code>, <code>Test Cases</code>, and/or <code>Notes</code> sections in
-                  the detailed output.{" "}
-                  <ModalBadge expand_text="Want something a bit nicer?">
-                    We already mentioned Bodhi, several times. Instead of using the{" "}
-                    <code>fedora-easy-karma</code> interface for submitting Karma and/or learning
-                    about the Update, you can visit Bodhi directly.
-                    <br />
-                    <code>fedora-easy-karma</code> shows the URL of the relevant update near the
-                    bottom of the text output - look for URL like{" "}
-                    <code>https://bodhi.fedoraproject.org/updates/FEDORA-2019-00870e8bfc</code>.
-                    <br />
-                    You can have a look at other people's comments, the afore-mentioned Bugs or
-                    Test Cases, and even submit the Karma directly. Just use your FAS credentials
-                    to log-in.
-                  </ModalBadge>
-                </ModalBadge>
-              </li>
-              <li>
-                Run <code>fedora-easy-karma --fas-username=FAS_USERNAME</code> and report what you
-                found out.{" "}
-                <ModalBadge expand_text="New to fedora-easy-karma?">
-                  It identifies the packages installed from the <code>updates-testing</code>{" "}
-                  repository, and matches them to the updates in Bodhi.
-                  <br />
-                  You are then presented with the relevant updates one-by-one, to submit Karma and
-                  a comment.{" "}
-                  <ModalBadge expand_text="Not sure what Karma means?">
-                    <ol>
-                      <li>
-                        Enter <code>1</code> to mark positive karma (the update works just fine, as
-                        far as you can tell), or <code>-1</code> to mark the package as broken.{" "}
-                        <br />
-                        Not sure you can judge the package's state? Have a look at the{" "}
-                        <a
-                          target="_blank"
-                          href="https://fedoraproject.org/wiki/QA:Update_feedback_guidelines"
-                          rel="noopener noreferrer">
-                          Update Feedback Guidelines
-                        </a>
-                        <br />
-                        Still not sure? Just press <code>Enter</code> to skip it.
-                      </li>
-                      <li>
-                        Add a comment - even if it works, try to describe what you tested. It can
-                        be as easy as{" "}
-                        <code>I tried openning and editing a document, and it worked.</code> when
-                        you test a text-editor, or{" "}
-                        <code>I opened a couple of tabs, and browsed random pages.</code> for a
-                        web-browser.
-                        <br />
-                        Absolutely make sure to provide reasonable amount of detail, when
-                        submitting negative karma - ideally, you should also create a bugreport,
-                        and reference it in the comment.
-                      </li>
-                    </ol>
-                  </ModalBadge>
+                    <li>
+                      Add a comment - even if it works, try to describe what you tested. It can be
+                      as easy as{" "}
+                      <code>I tried openning and editing a document, and it worked.</code> when you
+                      test a text-editor, or{" "}
+                      <code>I opened a couple of tabs, and browsed random pages.</code> for a
+                      web-browser.
+                      <br />
+                      Absolutely make sure to provide reasonable amount of detail, when submitting
+                      negative karma - ideally, you should also create a bugreport, and reference
+                      it in the comment.
+                    </li>
+                  </ol>
                 </ModalBadge>
-              </li>
-              <li>
-                Restore the stable-packages on your system by running{" "}
-                <code>sudo dnf distro-sync</code>
-              </li>
-            </ol>
-          </CollapsableBadge>
+              </CollapsableBadge>
+            </li>
+            <li>
+              Restore the stable-packages on your system by running{" "}
+              <code>sudo dnf distro-sync</code>
+            </li>
+          </ol>
         </div>
       )
   }
diff --git a/src/wizard/FedoraManualTesting.js b/src/wizard/FedoraManualTesting.js
index 01c26d5..9ef1f50 100644
--- a/src/wizard/FedoraManualTesting.js
+++ b/src/wizard/FedoraManualTesting.js
@@ -1,6 +1,6 @@
 import React, { Component } from "react"
 import { Modal, ModalHeader, ModalBody, ModalFooter } from "reactstrap"
-import { CollapsableCard, CollapsableBadge } from "./components"
+import { CollapsableCard, ModalBadge } from "./components"
 
 export default class FedoraManualTesting extends Component {
   render() {
@@ -106,14 +106,14 @@ class FedoraManualTestingItemsListSub1 extends Component {
     }
 
     return (
-      <CollapsableCard title={l1} expand_text="Show me!" expand_class="primary">
+      <CollapsableCard title={l1} expand_text="See" expand_class="primary">
         {subsections}
       </CollapsableCard>
     )
   }
 }
 
-export class FedoraManualTestingItem extends Component {
+class FedoraManualTestingItem extends Component {
   render() {
     const extra_data = this.props.data.extra_data
 
@@ -167,7 +167,7 @@ export class FedoraManualTestingItem extends Component {
             <a target="_blank" rel="noopener noreferrer" href={matrix_url}>
               Tescase matrix
             </a>{" "}
-            <CollapsableBadge expand_text="Not sure what that means?">
+            <ModalBadge expand_text="Not sure what that means?">
               <ul>
                 <li>
                   Have a look at the matrix. The rows are the testcases, and the columns are the
@@ -181,7 +181,7 @@ export class FedoraManualTestingItem extends Component {
                   results.
                 </li>
               </ul>
-            </CollapsableBadge>
+            </ModalBadge>
           </li>
 
           <li>
@@ -190,7 +190,7 @@ export class FedoraManualTestingItem extends Component {
               Testcase
             </a>{" "}
             briefly, just to have a general idea of what you will be doing.{" "}
-            <CollapsableBadge expand_text="Not making much sense?">
+            <ModalBadge expand_text="Not making much sense?">
               The testcases are generally split into four sections:
               <ul>
                 <li>
@@ -210,7 +210,7 @@ export class FedoraManualTestingItem extends Component {
                   order to decide whether it Passed of Failed
                 </li>
               </ul>
-            </CollapsableBadge>
+            </ModalBadge>
           </li>
 
           <li>
@@ -222,7 +222,7 @@ export class FedoraManualTestingItem extends Component {
               here
             </a>
             .{" "}
-            <CollapsableBadge expand_text="Not sure how?">
+            <ModalBadge expand_text="Not sure how?">
               <ul>
                 <li>
                   Most of the time Workstation Live, or Server DVD are fine, but sometimes there
@@ -230,7 +230,7 @@ export class FedoraManualTestingItem extends Component {
                 </li>
                 <li>
                   Make sure to read about identifying the environment above.{" "}
-                  <CollapsableBadge expand_text="Show me!">
+                  <ModalBadge expand_text="See">
                     <ul>
                       <li>
                         Have a look at the matrix. The rows are the testcases, and the columns are
@@ -245,10 +245,10 @@ export class FedoraManualTestingItem extends Component {
                         missing results.
                       </li>
                     </ul>
-                  </CollapsableBadge>
+                  </ModalBadge>
                 </li>
               </ul>
-            </CollapsableBadge>
+            </ModalBadge>
           </li>
 
           <li>
@@ -257,11 +257,11 @@ export class FedoraManualTestingItem extends Component {
               Testcase
             </a>{" "}
             thoroughly, to be sure you know what to do.{" "}
-            <CollapsableBadge expand_text="Feeling a bit lost?">
+            <ModalBadge expand_text="Feeling a bit lost?">
               <ul>
                 <li>
                   The testcase structure is not making sense?{" "}
-                  <CollapsableBadge expand_text="Click here">
+                  <ModalBadge expand_text="Click here">
                     The testcases are generally split into four sections:
                     <ul>
                       <li>
@@ -281,12 +281,12 @@ export class FedoraManualTestingItem extends Component {
                         testing in order to decide whether it Passed of Failed
                       </li>
                     </ul>
-                  </CollapsableBadge>
+                  </ModalBadge>
                 </li>
                 <li>
                   Maybe you are stuck, or just do not understand something? Feel free to ask on our
                   IRC channel #fedora-qa at freenode.net{" "}
-                  <CollapsableBadge expand_text="Don&#39;t have an IRC client?">
+                  <ModalBadge expand_text="Don&#39;t have an IRC client?">
                     If you are not that familiar with IRC, you can use the{" "}
                     <a
                       target="_blank"
@@ -296,15 +296,15 @@ export class FedoraManualTestingItem extends Component {
                     </a>{" "}
                     just enter a Nickname of your choice, #fedora-qa (including the hash sign) in
                     the Channels field, and click Connect.
-                  </CollapsableBadge>
+                  </ModalBadge>
                 </li>
               </ul>
-            </CollapsableBadge>
+            </ModalBadge>
           </li>
 
           <li>Get your hands dirty, and test the hell out of it!</li>
           <li>
-            <CollapsableBadge expand_class="success" expand_text="Everything went well" type="btn">
+            <ModalBadge expand_class="success" expand_text="Everything went well" type="btn">
               Great! Either use <code>relval report-results</code> on command line (make sure to
               install the <code>relval</code> package first), or modify the{" "}
               <a target="_blank" rel="noopener noreferrer" href={matrix_url}>
@@ -313,9 +313,9 @@ export class FedoraManualTestingItem extends Component {
               directly by clicking on the <code>Edit</code> link next to the Matrice's header, and
               put <code>&#123;&#123;result|pass|YOUR_NAME_HERE|&#125;&#125;</code> in the
               appropriate spot.
-            </CollapsableBadge>
+            </ModalBadge>
 
-            <CollapsableBadge expand_class="danger" expand_text="I found a bug!" type="btn">
+            <ModalBadge expand_class="danger" expand_text="I found a bug!" type="btn">
               Awesome! Ideally read up on https://fedoraproject.org/wiki/How_to_file_a_bug_report
               <br />
               If you don't feel like reading a wall of text, at least pot together a small document
@@ -341,11 +341,11 @@ export class FedoraManualTestingItem extends Component {
                 <li>
                   Share your notes on the internet (you can use fpaste), and ask for help with
                   filing the bug report on our IRC channel #fedora-qa at freenode.net{" "}
-                  <CollapsableBadge expand_text="Don&#39;t have an IRC client?">
+                  <ModalBadge expand_text="Don&#39;t have an IRC client?">
                     If you are not that familiar with IRC, you can use the web-interface[link] just
                     enter a Nickname of your choice, #fedora-qa (including the hash sign) in the
                     Channels field, and click Connect.
-                  </CollapsableBadge>
+                  </ModalBadge>
                 </li>
               </ul>
               Once you get the Bug reported, make sure to also submit the result into the testing
@@ -357,7 +357,7 @@ export class FedoraManualTestingItem extends Component {
               directly by clicking on the <code>Edit</code> link next to the Matrice's header, and
               put <code>&#123;&#123;result|fail|YOUR_NAME_HERE|BUG_NUMBER|&#125;&#125;</code> in
               the appropriate spot.
-            </CollapsableBadge>
+            </ModalBadge>
           </li>
         </ol>
       </ModalInfo>
diff --git a/src/wizard/Wizard.js b/src/wizard/Wizard.js
index 4da056d..4149eb9 100644
--- a/src/wizard/Wizard.js
+++ b/src/wizard/Wizard.js
@@ -4,15 +4,48 @@ import { Col, Container, Row } from "reactstrap"
 
 import { connect } from "react-redux"
 import { loadWizardData } from "../actions/reduxActions"
-import Filter from "./Filter"
+import WizardStepper from "./WizardStepper"
 
 class Wizard extends Component {
   constructor(props) {
     super(props)
     this.state = {
       actions: [],
+      steps: {
+        currentStep: "STEP1",
+        step: {
+          STEP1: null,
+          STEP2: null,
+          STEP3: null,
+          STEP4: null,
+        },
+      },
     }
     this.getData = this.getData.bind(this)
+    this.onNext = this.onNext.bind(this)
+    this.onPrev = this.onPrev.bind(this)
+  }
+
+  onPrev(pre) {
+    this.setState({
+      steps: {
+        ...this.state.steps,
+        currentStep: pre,
+      },
+    })
+  }
+
+  onNext(step, selectedOption) {
+    const nextStep = "STEP" + String(Number(step.slice(-1)) + 1)
+    this.setState({
+      steps: {
+        currentStep: nextStep,
+        step: {
+          ...this.state.steps.step,
+          [step]: selectedOption,
+        },
+      },
+    })
   }
 
   getData() {
@@ -34,7 +67,19 @@ class Wizard extends Component {
         <Container>
           <Row className="justify-content-center align-items-center">
             <Col md="12">
-              <Filter />
+              <WizardStepper steps={this.state.steps} onNext={this.onNext} onPrev={this.onPrev} />
+
+              {this.state.steps.currentStep === "STEP1" ? (
+                <Col md="12">
+                  <h1 className="padded text-center">Nothing sparked joy?</h1>
+                  <h4 className="padded text-center">
+                    None of the above looks interesting to you? We'd be happy if you looked around
+                    at{" "}
+                    <a href="https://whatcanidoforfedora.org/">https://whatcanidoforfedora.org/</a>
+                    !
+                  </h4>
+                </Col>
+              ) : null}
             </Col>
           </Row>
         </Container>
diff --git a/src/wizard/WizardStepper.js b/src/wizard/WizardStepper.js
new file mode 100644
index 0000000..a5e84ad
--- /dev/null
+++ b/src/wizard/WizardStepper.js
@@ -0,0 +1,25 @@
+import React from "react"
+import { Container, Row } from "reactstrap"
+import Step1 from "./step/Step1"
+import Step2 from "./step/Step2"
+import Step3 from "./step/Step3"
+import Step4 from "./step/Step4"
+
+const WizardStepper = (props) => {
+  const {
+    steps: { currentStep },
+  } = props
+
+  return (
+    <Container className="wrapper">
+      <div className="wizard">
+        {currentStep === "STEP1" && <Step1 {...props} />}
+        {currentStep === "STEP2" && <Step2 {...props} />}
+        {currentStep === "STEP3" && <Step3 {...props} />}
+        {currentStep === "STEP4" && <Step4 {...props} />}
+      </div>
+    </Container>
+  )
+}
+
+export default WizardStepper
diff --git a/src/wizard/step/Step1.js b/src/wizard/step/Step1.js
new file mode 100644
index 0000000..7d00f14
--- /dev/null
+++ b/src/wizard/step/Step1.js
@@ -0,0 +1,69 @@
+import React, { useState } from "react"
+import { Card, CardText, Button, Col, Row } from "reactstrap"
+
+const Step1 = (props) => {
+  const { onNext, onPrev, steps } = props
+  const {
+    step: { STEP1 },
+  } = steps
+  const [selectedItem, setItem] = useState(STEP1)
+
+  const handleStep = (option) => {
+    setItem(option)
+  }
+
+  return (
+    <Row className="padded">
+      <Col sm="12">
+        <h1 className="event text-center">
+          Click on any of the below card to see data of your choice and press next
+        </h1>
+      </Col>
+      <Col sm="6">
+        <Card
+          className={
+            "clickable text-center" + (selectedItem === "SEVERAL_DAYS" ? " card-selected" : "")
+          }
+          body
+          type="btn"
+          onClick={() => {
+            handleStep("SEVERAL_DAYS")
+          }}>
+          <h1 className="padded">
+            Several Days <i class="fas fa-calendar-week"></i>
+          </h1>
+          <CardText>Task that can take up to Several Days </CardText>
+        </Card>
+      </Col>
+      <Col sm="6">
+        <Card
+          className={
+            "clickable text-center" + (selectedItem === "FEW_HOURS" ? " card-selected" : "")
+          }
+          body
+          type="btn"
+          onClick={() => {
+            handleStep("FEW_HOURS")
+          }}>
+          <h1 className="padded">
+            Few Hours <i class="fas fa-calendar-day"></i>
+          </h1>
+          <CardText>Task that can take up to Few Hours </CardText>
+        </Card>
+      </Col>
+      <Col sm="12" className="d-flex justify-content-around">
+        <Button
+          color="primary"
+          className="actions float-right"
+          disabled={selectedItem === null}
+          onClick={() => {
+            onNext("STEP1", selectedItem)
+          }}>
+          Next <i class="fas fa-chevron-circle-right"></i>
+        </Button>
+      </Col>
+    </Row>
+  )
+}
+
+export default Step1
diff --git a/src/wizard/step/Step2.js b/src/wizard/step/Step2.js
new file mode 100644
index 0000000..3694c8e
--- /dev/null
+++ b/src/wizard/step/Step2.js
@@ -0,0 +1,111 @@
+import React, { useState } from "react"
+import { shallowEqual, useSelector } from "react-redux"
+import { Card, CardBody, CardTitle, CardText, Button, Row, Col } from "reactstrap"
+
+const Step2 = (props) => {
+  const {
+    onNext,
+    onPrev,
+    steps: { step },
+  } = props
+
+  const [selectedItem, setItem] = useState(step.STEP2)
+
+  const handleStep = (option) => {
+    setItem(option)
+  }
+
+  const selectProvider = (state) => state.wizard.providers
+
+  const providers = useSelector(selectProvider, shallowEqual)
+  console.log(providers)
+  const fewHours = providers.filter((provider) => provider.duration === 3)
+  const severalDays = providers.filter((provider) => provider.duration === 72)
+
+  const getIcon = (type) => {
+    switch (type) {
+      case "fedora_manual_testing":
+        return <i class="fas fa-user-check"></i>
+      case "easy_fix":
+        return <i class="fas fa-magic"></i>
+      default:
+        return <i class="fab fa-fedora"></i>
+    }
+  }
+
+  return (
+    <Row className="justify-content-center">
+      <Col sm="12">
+        <h1 className="event text-center">
+          Click on any of the below card to see data of your choice and press next
+        </h1>
+      </Col>
+      {step.STEP1 === "SEVERAL_DAYS" && (
+        <>
+          {severalDays.map((item) => (
+            <Col sm="6">
+              <Card
+                className={
+                  "clickable text-center" +
+                  (selectedItem === item.provider ? " card-selected" : "")
+                }
+                onClick={() => {
+                  handleStep(item.provider)
+                }}>
+                <CardBody>
+                  <CardTitle tag="h4">
+                    {item.name} {getIcon(item.provider)}
+                  </CardTitle>
+                  <CardText>{item.description}</CardText>
+                </CardBody>
+              </Card>
+            </Col>
+          ))}
+        </>
+      )}
+
+      {step.STEP1 === "FEW_HOURS" && (
+        <>
+          {fewHours.map((item) => (
+            <Col sm="6">
+              <Card
+                className={
+                  "clickable text-center" +
+                  (selectedItem === item.provider ? " card-selected" : "")
+                }
+                onClick={() => {
+                  handleStep(item.provider)
+                }}>
+                <CardBody>
+                  <CardTitle tag="h4">
+                    {item.name} {getIcon(item.provider)}
+                  </CardTitle>
+                  <CardText>{item.description}</CardText>
+                </CardBody>
+              </Card>
+            </Col>
+          ))}
+        </>
+      )}
+      <Col sm="12" className="d-flex justify-content-around">
+        <Button
+          className="actions float-left"
+          color="primary"
+          onClick={() => {
+            onPrev("STEP1")
+          }}>
+          <i class="fas fa-chevron-circle-left"></i> Previous
+        </Button>
+        <Button
+          color="primary"
+          className="actions btn float-right"
+          disabled={selectedItem === null}
+          onClick={(e) => onNext("STEP2", selectedItem)}>
+          Next <i class="fas fa-chevron-circle-right"></i>
+        </Button>
+      </Col>
+    </Row>
+  )
+}
+
+export default Step2
